Index: branches/PersistenceReintegration/HeuristicLab.Persistence/3.3/Auxiliary/TypeLoader.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Persistence/3.3/Auxiliary/TypeLoader.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Persistence/3.3/Auxiliary/TypeLoader.cs	(revision 14927)
@@ -59,6 +59,5 @@
       try {
         typeName = TypeNameParser.Parse(typeNameString);
-      }
-      catch (Exception) {
+      } catch (Exception) {
         throw new PersistenceException(String.Format(
            "Could not parse type string \"{0}\"",
@@ -69,6 +68,5 @@
         // try to load type normally
         return LoadInternal(typeName);
-      }
-      catch (PersistenceException) {
+      } catch (PersistenceException) {
         #region Mono Compatibility
         // if that fails, try to convert to the corresponding Mono or .NET type
@@ -92,6 +90,5 @@
       try {
         type = Type.GetType(typeName.ToString(true, true), true);
-      }
-      catch (Exception) {
+      } catch (Exception) {
         Logger.Warn(String.Format(
           "Cannot load type \"{0}\", falling back to partial name", typeName.ToString(true, true)));
@@ -109,6 +106,5 @@
 #pragma warning restore 0618
         return a.GetType(typeName.ToString(false, false), true);
-      }
-      catch (Exception) {
+      } catch (Exception) {
         throw new PersistenceException(String.Format(
           "Could not load type \"{0}\"",
@@ -130,9 +126,7 @@
             typeName.ToString(true, true),
             type.AssemblyQualifiedName));
-      }
-      catch (PersistenceException) {
+      } catch (PersistenceException) {
         throw;
-      }
-      catch (Exception e) {
+      } catch (Exception e) {
         Logger.Warn(String.Format(
           "Could not perform version check requested type was {0} while loaded type is {1}:",
Index: branches/PersistenceReintegration/HeuristicLab.Persistence/3.3/Auxiliary/TypeName.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Persistence/3.3/Auxiliary/TypeName.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Persistence/3.3/Auxiliary/TypeName.cs	(revision 14927)
@@ -24,5 +24,5 @@
 using System.Linq;
 using System.Text;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Persistence.Auxiliary {
@@ -33,5 +33,5 @@
   /// attributes.
   /// </summary>
-  [StorableClass]
+  [StorableType("a83d8580-07c2-4805-a31f-23b702689e0c")]
   public class TypeName {
 
@@ -57,5 +57,5 @@
     public List<int> GenericArgCounts { get; private set; }
 
-      /// <summary>
+    /// <summary>
     /// Gets or sets the generic args.
     /// </summary>
@@ -110,5 +110,5 @@
     /// <param name="nameSpace">The namespace.</param>
     /// <param name="className">Name of the class.</param>
-    internal TypeName(string nameSpace, string className, List<int> genericArgCounts=null) {
+    internal TypeName(string nameSpace, string className, List<int> genericArgCounts = null) {
       Namespace = nameSpace;
       ClassName = className;
@@ -187,9 +187,8 @@
     private IEnumerable<string> GetNestedClassesInCode(HashSet<string> omitNamespaces, bool includeAllNamespaces) {
       var i = 0;
-      foreach (var pair in ClassName.Split('+').Zip(GenericArgCounts, (n, c) => new {n, c})) {
+      foreach (var pair in ClassName.Split('+').Zip(GenericArgCounts, (n, c) => new { n, c })) {
         if (pair.c == 0) {
           yield return pair.n;
-        }
-        else {
+        } else {
           yield return string.Format("{0}<{1}>",
             pair.n,
@@ -208,5 +207,5 @@
             (omitNamespaces == null && includeNamespaces) ||
              omitNamespaces != null && !omitNamespaces.Contains(Namespace))
-          sb.Append(Namespace).Append('.');
+        sb.Append(Namespace).Append('.');
       if (GenericArgCounts != null) {
         sb.Append(string.Join(".", GetNestedClassesInCode(omitNamespaces, includeNamespaces)));
@@ -273,6 +272,5 @@
         }
         return false;
-      }
-      catch (KeyNotFoundException) {
+      } catch (KeyNotFoundException) {
         throw new Exception("Could not extract version information from type string");
       }
@@ -311,6 +309,5 @@
         }
         return true;
-      }
-      catch (KeyNotFoundException) {
+      } catch (KeyNotFoundException) {
         throw new Exception("Could not extract version infomration from type string");
       }
Index: branches/PersistenceReintegration/HeuristicLab.Persistence/3.3/Auxiliary/TypeNameParser.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Persistence/3.3/Auxiliary/TypeNameParser.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Persistence/3.3/Auxiliary/TypeNameParser.cs	(revision 14927)
@@ -166,6 +166,5 @@
       try {
         return p.TransformTypeSpec();
-      }
-      catch (ParseError x) {
+      } catch (ParseError x) {
         if (p.Position > 0)
           throw new ParseError(String.Format(
Index: branches/PersistenceReintegration/HeuristicLab.Persistence/3.3/Core/Configuration.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Persistence/3.3/Core/Configuration.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Persistence/3.3/Core/Configuration.cs	(revision 14927)
@@ -22,5 +22,5 @@
 using System;
 using System.Collections.Generic;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 using HeuristicLab.Persistence.Interfaces;
 
@@ -32,5 +32,5 @@
   /// <c>ConfigurationService</c>.
   /// </summary>
-  [StorableClass]
+  [StorableType("181b0384-ee37-4a51-93ab-624977ee6613")]
   public class Configuration {
 
Index: branches/PersistenceReintegration/HeuristicLab.Persistence/3.3/Core/FormatBase.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Persistence/3.3/Core/FormatBase.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Persistence/3.3/Core/FormatBase.cs	(revision 14927)
@@ -21,5 +21,5 @@
 
 using System;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Persistence.Interfaces {
@@ -29,5 +29,5 @@
   /// </summary>
   /// <typeparam name="SerialDataFormat">The type of the serial data format.</typeparam>
-  [StorableClass]
+  [StorableType("654b6142-b4c5-4b82-94e9-13b4ff8cbe53")]
   public abstract class FormatBase<SerialDataFormat> : IFormat<SerialDataFormat> where SerialDataFormat : ISerialData {
 
Index: branches/PersistenceReintegration/HeuristicLab.Persistence/3.3/Core/PrimitiveSerializerBase.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Persistence/3.3/Core/PrimitiveSerializerBase.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Persistence/3.3/Core/PrimitiveSerializerBase.cs	(revision 14927)
@@ -22,5 +22,5 @@
 using System;
 using System.Text;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Persistence.Interfaces {
@@ -32,5 +32,5 @@
   /// <typeparam name="Source">The source type.</typeparam>
   /// <typeparam name="SerialData">The serialized type.</typeparam>
-  [StorableClass]
+  [StorableType("0e1d11cc-9ff0-46b6-b661-c1a408ae0917")]
   public abstract class PrimitiveSerializerBase<Source, SerialData> :
       IPrimitiveSerializer<Source, SerialData>
Index: branches/PersistenceReintegration/HeuristicLab.Persistence/3.3/Core/Serializer.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Persistence/3.3/Core/Serializer.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Persistence/3.3/Core/Serializer.cs	(revision 14927)
@@ -247,6 +247,5 @@
             emitTypeInfo);
         throw CreatePersistenceException(type, "Could not determine how to serialize a value.", true);
-      }
-      catch (Exception x) {
+      } catch (Exception x) {
         if (isTestRun) {
           exceptions.Add(x);
@@ -260,9 +259,8 @@
             false);
         }
-      }
-      finally {
+      } finally {
         objectGraphTrace.Pop();
       }
-    }    
+    }
 
     private PersistenceException CreatePersistenceException(Type type, string message, bool appendConfig) {
Index: branches/PersistenceReintegration/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/ArraySerializer.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/ArraySerializer.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/ArraySerializer.cs	(revision 14927)
@@ -23,10 +23,10 @@
 using System.Collections.Generic;
 using HeuristicLab.Persistence.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 using HeuristicLab.Persistence.Interfaces;
 
 namespace HeuristicLab.Persistence.Default.CompositeSerializers {
 
-  [StorableClass]
+  [StorableType("17987df2-38f0-4158-b4c7-783ffa2737d1")]
   internal sealed class ArraySerializer : ICompositeSerializer {
 
@@ -99,9 +99,7 @@
         }
         return Array.CreateInstance(t.GetElementType(), lengths, lowerBounds);
-      }
-      catch (InvalidOperationException x) {
+      } catch (InvalidOperationException x) {
         throw new PersistenceException("Insufficient meta information to construct array instance.", x);
-      }
-      catch (InvalidCastException x) {
+      } catch (InvalidCastException x) {
         throw new PersistenceException("Invalid format of array metainfo.", x);
       }
@@ -134,12 +132,9 @@
           }
         }
-      }
-      catch (InvalidOperationException x) {
+      } catch (InvalidOperationException x) {
         throw new PersistenceException("Insufficient data to fill array instance", x);
-      }
-      catch (InvalidCastException x) {
+      } catch (InvalidCastException x) {
         throw new PersistenceException("Invalid element data. Cannot fill array", x);
-      }
-      catch (IndexOutOfRangeException x) {
+      } catch (IndexOutOfRangeException x) {
         throw new PersistenceException("Too many elements during array deserialization", x);
       }
Index: branches/PersistenceReintegration/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/CompactNumberArray2StringSerializer.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/CompactNumberArray2StringSerializer.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/CompactNumberArray2StringSerializer.cs	(revision 14927)
@@ -26,10 +26,10 @@
 using HeuristicLab.Persistence.Auxiliary;
 using HeuristicLab.Persistence.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 using HeuristicLab.Persistence.Interfaces;
 
 namespace HeuristicLab.Persistence.Default.CompositeSerializers {
 
-  [StorableClass]
+  [StorableType("a5c269da-4122-4ea0-9eb7-c3441be404b8")]
   public sealed class CompactNumberArray2StringSerializer : ICompositeSerializer {
 
@@ -187,9 +187,7 @@
         }
         return a;
-      }
-      catch (InvalidOperationException e) {
+      } catch (InvalidOperationException e) {
         throw new PersistenceException("Insuffictient data to deserialize compact array", e);
-      }
-      catch (InvalidCastException e) {
+      } catch (InvalidCastException e) {
         throw new PersistenceException("Invalid element data during compact array deserialization", e);
       }
Index: branches/PersistenceReintegration/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/ConcreteDictionarySerializer.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/ConcreteDictionarySerializer.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/ConcreteDictionarySerializer.cs	(revision 14927)
@@ -25,10 +25,10 @@
 using System.Linq;
 using HeuristicLab.Persistence.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 using HeuristicLab.Persistence.Interfaces;
 
 namespace HeuristicLab.Persistence.Default.CompositeSerializers {
 
-  [StorableClass]
+  [StorableType("0ce2011a-5666-40df-9874-f5eeccea5a72")]
   internal sealed class ConcreteDictionarySerializer : ICompositeSerializer {
 
Index: branches/PersistenceReintegration/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/DictionarySerializer.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/DictionarySerializer.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/DictionarySerializer.cs	(revision 14927)
@@ -25,10 +25,10 @@
 using HeuristicLab.Persistence.Auxiliary;
 using HeuristicLab.Persistence.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 using HeuristicLab.Persistence.Interfaces;
 
 namespace HeuristicLab.Persistence.Default.CompositeSerializers {
 
-  [StorableClass]
+  [StorableType("813d9a0f-a611-478e-8149-e5d338c9a273")]
   internal sealed class DictionarySerializer : ICompositeSerializer {
 
@@ -79,15 +79,11 @@
           dict.Add(key.Value, value.Value);
         }
-      }
-      catch (InvalidOperationException e) {
+      } catch (InvalidOperationException e) {
         throw new PersistenceException("Dictionaries must contain an even number of elements (key+value).", e);
-      }
-      catch (NotSupportedException e) {
+      } catch (NotSupportedException e) {
         throw new PersistenceException("The serialized dictionary type was read-only or had a fixed size and cannot be deserialized.", e);
-      }
-      catch (ArgumentNullException e) {
+      } catch (ArgumentNullException e) {
         throw new PersistenceException("Dictionary key was null.", e);
-      }
-      catch (ArgumentException e) {
+      } catch (ArgumentException e) {
         throw new PersistenceException("Duplicate dictionary key.", e);
       }
Index: branches/PersistenceReintegration/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/EnumSerializer.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/EnumSerializer.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/EnumSerializer.cs	(revision 14927)
@@ -23,10 +23,10 @@
 using System.Collections.Generic;
 using HeuristicLab.Persistence.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 using HeuristicLab.Persistence.Interfaces;
 
 namespace HeuristicLab.Persistence.Default.CompositeSerializers {
 
-  [StorableClass]
+  [StorableType("7ff55c07-1c83-4d0f-924a-37c28d936d74")]
   internal sealed class EnumSerializer : ICompositeSerializer {
 
@@ -60,9 +60,7 @@
         it.MoveNext();
         return Enum.Parse(t, (string)it.Current.Value);
-      }
-      catch (InvalidOperationException e) {
+      } catch (InvalidOperationException e) {
         throw new PersistenceException("not enough meta information to recstruct enum", e);
-      }
-      catch (InvalidCastException e) {
+      } catch (InvalidCastException e) {
         throw new PersistenceException("invalid meta information found while trying to reconstruct enum", e);
       }
Index: branches/PersistenceReintegration/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/EnumerableSerializer.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/EnumerableSerializer.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/EnumerableSerializer.cs	(revision 14927)
@@ -26,10 +26,10 @@
 using HeuristicLab.Persistence.Auxiliary;
 using HeuristicLab.Persistence.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 using HeuristicLab.Persistence.Interfaces;
 
 namespace HeuristicLab.Persistence.Default.CompositeSerializers {
 
-  [StorableClass]
+  [StorableType("4421c2a4-9ee1-4cfc-b98e-755a81dc5241")]
   internal sealed class EnumerableSerializer : ICompositeSerializer {
 
@@ -80,6 +80,5 @@
         foreach (var tag in tags)
           addMethod.Invoke(instance, new[] { tag.Value });
-      }
-      catch (Exception e) {
+      } catch (Exception e) {
         throw new PersistenceException("Exception caught while trying to populate enumerable.", e);
       }
Index: branches/PersistenceReintegration/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/HashSetSerializer.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/HashSetSerializer.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/HashSetSerializer.cs	(revision 14927)
@@ -26,10 +26,10 @@
 using System.Reflection;
 using HeuristicLab.Persistence.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 using HeuristicLab.Persistence.Interfaces;
 
 namespace HeuristicLab.Persistence.Default.CompositeSerializers {
 
-  [StorableClass]
+  [StorableType("51099049-20f2-4a71-8eae-b4ea9d677115")]
   internal sealed class HashSetSerializer : ICompositeSerializer {
 
Index: branches/PersistenceReintegration/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/KeyValuePairSerializer.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/KeyValuePairSerializer.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/KeyValuePairSerializer.cs	(revision 14927)
@@ -25,10 +25,10 @@
 using System.Reflection;
 using HeuristicLab.Persistence.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 using HeuristicLab.Persistence.Interfaces;
 
 namespace HeuristicLab.Persistence.Default.CompositeSerializers {
 
-  [StorableClass]
+  [StorableType("97d00efc-4eb0-4dc7-a58c-977c45c2904c")]
   internal sealed class KeyValuePairSerializer : ICompositeSerializer {
 
@@ -64,6 +64,5 @@
       try {
         key = new Tag("key", t.GetProperty("Key").GetValue(o, null));
-      }
-      catch (Exception e) {
+      } catch (Exception e) {
         throw new PersistenceException("Exception caught during KeyValuePair decomposition", e);
       }
@@ -71,6 +70,5 @@
       try {
         value = new Tag("value", t.GetProperty("Value").GetValue(o, null));
-      }
-      catch (Exception e) {
+      } catch (Exception e) {
         throw new PersistenceException("Exception caught during KeyValuePair decomposition", e);
       }
@@ -91,9 +89,7 @@
         t.GetFields(BindingFlags.Instance | BindingFlags.Public | BindingFlags.NonPublic)
           .Single(fi => fi.Name == "value").SetValue(instance, iter.Current.Value);
-      }
-      catch (InvalidOperationException e) {
+      } catch (InvalidOperationException e) {
         throw new PersistenceException("Not enough components to populate KeyValuePair instance", e);
-      }
-      catch (Exception e) {
+      } catch (Exception e) {
         throw new PersistenceException("Exception caught during KeyValuePair reconstruction", e);
       }
Index: branches/PersistenceReintegration/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/Number2StringSerializer.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/Number2StringSerializer.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/Number2StringSerializer.cs	(revision 14927)
@@ -25,5 +25,5 @@
 using HeuristicLab.Persistence.Auxiliary;
 using HeuristicLab.Persistence.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 using HeuristicLab.Persistence.Default.Xml;
 using HeuristicLab.Persistence.Default.Xml.Primitive;
@@ -40,5 +40,5 @@
   /// but can be useful in generating custom serializers.
   /// </summary>
-  [StorableClass]
+  [StorableType("23af67f5-2af6-4aca-b841-21345eacfb2f")]
   public sealed class Number2StringSerializer : ICompositeSerializer {
 
@@ -115,9 +115,7 @@
       try {
         return numberSerializerMap[Nullable.GetUnderlyingType(type) ?? type].Parse(new XmlString(stringValue));
-      }
-      catch (FormatException e) {
+      } catch (FormatException e) {
         throw new PersistenceException("Invalid element data during number parsing.", e);
-      }
-      catch (OverflowException e) {
+      } catch (OverflowException e) {
         throw new PersistenceException("Overflow during number parsing.", e);
       }
@@ -172,11 +170,9 @@
         it.MoveNext();
         return Parse((string)it.Current.Value, type);
-      }
-      catch (InvalidOperationException e) {
+      } catch (InvalidOperationException e) {
         throw new PersistenceException(
           String.Format("Insufficient meta information to reconstruct number of type {0}.",
           type.VersionInvariantName()), e);
-      }
-      catch (InvalidCastException e) {
+      } catch (InvalidCastException e) {
         throw new PersistenceException("Invalid meta information element type", e);
       }
Index: branches/PersistenceReintegration/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/NumberEnumerable2StringSerializer.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/NumberEnumerable2StringSerializer.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/NumberEnumerable2StringSerializer.cs	(revision 14927)
@@ -26,10 +26,10 @@
 using HeuristicLab.Persistence.Auxiliary;
 using HeuristicLab.Persistence.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 using HeuristicLab.Persistence.Interfaces;
 
 namespace HeuristicLab.Persistence.Default.CompositeSerializers {
 
-  [StorableClass]
+  [StorableType("8bb7c8b8-89e5-41d4-a37e-c43e5beee451")]
   internal sealed class NumberEnumerable2StringSerializer : ICompositeSerializer {
 
@@ -136,9 +136,7 @@
           addMethod.Invoke(instance, new[] { numberConverter.Parse(value, elementType) });
         }
-      }
-      catch (InvalidOperationException e) {
+      } catch (InvalidOperationException e) {
         throw new PersistenceException("Insufficient element data to reconstruct number enumerable", e);
-      }
-      catch (InvalidCastException e) {
+      } catch (InvalidCastException e) {
         throw new PersistenceException("Invalid element data during reconstruction of number enumerable", e);
       }
Index: branches/PersistenceReintegration/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/QueueSerializer.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/QueueSerializer.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/QueueSerializer.cs	(revision 14927)
@@ -25,10 +25,10 @@
 using System.Reflection;
 using HeuristicLab.Persistence.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 using HeuristicLab.Persistence.Interfaces;
 
 namespace HeuristicLab.Persistence.Default.CompositeSerializers {
 
-  [StorableClass]
+  [StorableType("7a0dee32-0800-4a78-a1c3-88cd97939ca0")]
   internal sealed class QueueSerializer : ICompositeSerializer {
 
Index: branches/PersistenceReintegration/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/StackSerializer.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/StackSerializer.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/StackSerializer.cs	(revision 14927)
@@ -25,10 +25,10 @@
 using System.Reflection;
 using HeuristicLab.Persistence.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 using HeuristicLab.Persistence.Interfaces;
 
 namespace HeuristicLab.Persistence.Default.CompositeSerializers {
 
-  [StorableClass]
+  [StorableType("e395b076-6001-417e-925c-8820cc0354df")]
   internal sealed class StackSerializer : ICompositeSerializer {
 
@@ -76,6 +76,5 @@
         foreach (var tag in tags)
           addMethod.Invoke(instance, new[] { tag.Value });
-      }
-      catch (Exception e) {
+      } catch (Exception e) {
         throw new PersistenceException("Exception caught while trying to populate enumerable.", e);
       }
Index: branches/PersistenceReintegration/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/Storable/StorableSerializer.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/Storable/StorableSerializer.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/Storable/StorableSerializer.cs	(revision 14927)
@@ -28,4 +28,5 @@
 using HeuristicLab.Persistence.Core;
 using HeuristicLab.Persistence.Interfaces;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Persistence.Default.CompositeSerializers.Storable {
@@ -38,5 +39,5 @@
   /// or <c>AllFieldsAndAllProperties</c>.
   /// </summary>
-  [StorableClass]
+  [StorableType("ea2bd700-d2c9-4319-9883-b795bd8f078f")]
   public sealed class StorableSerializer : ICompositeSerializer {
 
Index: branches/PersistenceReintegration/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/StructSerializer.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/StructSerializer.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/StructSerializer.cs	(revision 14927)
@@ -24,10 +24,10 @@
 using System.Reflection;
 using HeuristicLab.Persistence.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 using HeuristicLab.Persistence.Interfaces;
 
 namespace HeuristicLab.Persistence.Default.CompositeSerializers {
 
-  [StorableClass]
+  [StorableType("070243ae-13d3-490e-ad17-81a96941ea3c")]
   internal sealed class StructSerializer : ICompositeSerializer {
 
Index: branches/PersistenceReintegration/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/TupleSerializer.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/TupleSerializer.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/TupleSerializer.cs	(revision 14927)
@@ -25,10 +25,10 @@
 using System.Reflection;
 using HeuristicLab.Persistence.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 using HeuristicLab.Persistence.Interfaces;
 
 namespace HeuristicLab.Persistence.Default.CompositeSerializers {
 
-  [StorableClass]
+  [StorableType("604ea532-4a4f-4cf6-af44-1e56cf357997")]
   internal sealed class TupleSerializer : ICompositeSerializer {
 
Index: branches/PersistenceReintegration/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/TypeSerializer.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/TypeSerializer.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/TypeSerializer.cs	(revision 14927)
@@ -24,10 +24,10 @@
 using HeuristicLab.Persistence.Auxiliary;
 using HeuristicLab.Persistence.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 using HeuristicLab.Persistence.Interfaces;
 
 namespace HeuristicLab.Persistence.Default.CompositeSerializers {
 
-  [StorableClass]
+  [StorableType("dd23170e-0998-438a-b935-2061a7a4762e")]
   internal sealed class TypeSerializer : ICompositeSerializer {
 
@@ -66,15 +66,12 @@
       try {
         it.MoveNext();
-      }
-      catch (InvalidOperationException e) {
+      } catch (InvalidOperationException e) {
         throw new PersistenceException("Insufficient meta information to instantiate Type object", e);
       }
       try {
         return TypeLoader.Load((string)it.Current.Value);
-      }
-      catch (InvalidCastException e) {
+      } catch (InvalidCastException e) {
         throw new PersistenceException("Invalid meta information during reconstruction of Type object", e);
-      }
-      catch (TypeLoadException e) {
+      } catch (TypeLoadException e) {
         throw new PersistenceException(String.Format(
           "Cannot load Type {0}, make sure all required assemblies are available.",
Index: branches/PersistenceReintegration/HeuristicLab.Persistence/3.3/Default/DebugString/DebugString.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Persistence/3.3/Default/DebugString/DebugString.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Persistence/3.3/Default/DebugString/DebugString.cs	(revision 14927)
@@ -20,5 +20,5 @@
 #endregion
 
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 using HeuristicLab.Persistence.Interfaces;
 
@@ -28,5 +28,5 @@
   /// Simple write-only format for debugging purposes.
   /// </summary>
-  [StorableClass]
+  [StorableType("05a1ee13-75c0-4ff1-b403-57573364d7e3")]
   public class DebugString : ISerialData {
 
